0

I am trying to install this on my Pi https://github.com/acconeer/acconeer-python-exploration . There are some requirements written in the file requirements.txt that need to be installed first. I've installed them following the installation setup on the github and I was getting an error. So I've installed them manually one by one succesfully, except PyQt5. When trying to install PyQt5==5.15.2 with pip install PyQt5==5.15.2 or any of the versions I am getting the following error:

 Collecting PyQt5==5.15.2
  Using cached PyQt5-5.15.2.tar.gz (3.3 MB)
  Installing build dependencies ... done
  Getting requirements to build wheel ... done
    Preparing wheel metadata ... error
    ERROR: Command errored out with exit status 1:
     command: /usr/bin/python3 /home/pi/.local/lib/python3.7/site-packages/pip/_vendor/pep517/_in_process.py prepare_metadata_for_build_wheel /tmp/tmpz3nv8pux
         cwd: /tmp/pip-install-4dki0smz/pyqt5_356672bf24d042f59cf05c55516088c2
    Complete output (35 lines):
    Querying qmake about your Qt installation...
    /usr/bin/qmake -query
    Traceback (most recent call last):
      File "/home/pi/.local/lib/python3.7/site-packages/pip/_vendor/pep517/_in_process.py", line 126, in prepare_metadata_for_build_wheel
        hook = backend.prepare_metadata_for_build_wheel
    AttributeError: module 'sipbuild.api' has no attribute 'prepare_metadata_for_build_wheel'
    
    During handling of the above exception, another exception occurred:
    
    Traceback (most recent call last):
      File "/home/pi/.local/lib/python3.7/site-packages/pip/_vendor/pep517/_in_process.py", line 280, in <module>
        main()
      File "/home/pi/.local/lib/python3.7/site-packages/pip/_vendor/pep517/_in_process.py", line 263, in main
        json_out['return_val'] = hook(**hook_input['kwargs'])
      File "/home/pi/.local/lib/python3.7/site-packages/pip/_vendor/pep517/_in_process.py", line 131, in prepare_metadata_for_build_wheel
        config_settings)
      File "/home/pi/.local/lib/python3.7/site-packages/pip/_vendor/pep517/_in_process.py", line 159, in _get_wheel_metadata_from_wheel
        whl_basename = backend.build_wheel(metadata_directory, config_settings)
      File "/tmp/pip-build-env-tym5j4lm/overlay/lib/python3.7/site-packages/sipbuild/api.py", line 51, in build_wheel
        project = AbstractProject.bootstrap('pep517')
      File "/tmp/pip-build-env-tym5j4lm/overlay/lib/python3.7/site-packages/sipbuild/abstract_project.py", line 83, in bootstrap
        project.setup(pyproject, tool, tool_description)
      File "/tmp/pip-build-env-tym5j4lm/overlay/lib/python3.7/site-packages/sipbuild/project.py", line 481, in setup
        self.apply_user_defaults(tool)
      File "project.py", line 63, in apply_user_defaults
        super().apply_user_defaults(tool)
      File "/tmp/pip-build-env-tym5j4lm/overlay/lib/python3.7/site-packages/pyqtbuild/project.py", line 70, in apply_user_defaults
        super().apply_user_defaults(tool)
      File "/tmp/pip-build-env-tym5j4lm/overlay/lib/python3.7/site-packages/sipbuild/project.py", line 227, in apply_user_defaults
        self.builder.apply_user_defaults(tool)
      File "/tmp/pip-build-env-tym5j4lm/overlay/lib/python3.7/site-packages/pyqtbuild/builder.py", line 75, in apply_user_defaults
        self._get_qt_configuration()
      File "/tmp/pip-build-env-tym5j4lm/overlay/lib/python3.7/site-packages/pyqtbuild/builder.py", line 516, in _get_qt_configuration
        "v{0}".format(self.qt_version_str))
    sipbuild.exceptions.UserException
    ----------------------------------------
WARNING: Discarding https://files.pythonhosted.org/packages/28/6c/640e3f5c734c296a7193079a86842a789edb7988dca39eab44579088a1d1/PyQt5-5.15.2.tar.gz#sha256=372b08dc9321d1201e4690182697c5e7ffb2e0770e6b4a45519025134b12e4fc (from https://pypi.org/simple/pyqt5/) (requires-python:>=3.5). Command errored out with exit status 1: /usr/bin/python3 /home/pi/.local/lib/python3.7/site-packages/pip/_vendor/pep517/_in_process.py prepare_metadata_for_build_wheel /tmp/tmpz3nv8pux Check the logs for full command output.
ERROR: Could not find a version that satisfies the requirement PyQt5==5.15.2
ERROR: No matching distribution found for PyQt5==5.15.2
0

Try installing PyQt5 with apt:

sudo apt update
sudo apt install python3-pyqt5

Side note: The application in the repository is not intended to run on your Raspberry Pi but rather your PC.

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.